[tool.poetry]
name = "shortie"
version = "0.1.0"
description = ""
authors = ["Bambang Catur Pamungkas <bambang@binokular.net>"]

[tool.poetry.dependencies]
python = "^3.6"
short_url = "^1.2.2"
falcon = "^2.0.0"
python-dotenv = "^0.12.0"
pymysql = "^0.9.3"
redis = "^3.4.1"
hiredis = "^1.0.1"
hug = "^2.6.1"
marshmallow = "^3.5.1"
sqlalchemy = "^1.3.15"
marshmallow-sqlalchemy = "^0.22.3"
gunicorn = "^20.0.4"

[tool.poetry.dev-dependencies]
pytest = "^5.2"
tox = "^3.14.6"
flake8 = "^3.7.9"
autopep8 = "^1.5"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
